from spack import *

class Acpype(PythonPackage):
    """A tool based in Python to use Antechamber to generate topologies for chemical 
    compounds and to interface with others python applications like CCPN and ARIA"""

    # Homepage and download url
    homepage = "https://github.com/alanwilter/acpype"
    git = 'https://github.com/alanwilter/acpype.git'

    # Set the gitlab accounts of this package maintainers
    maintainers = ['dbeltran']

    # Versions
    version('2022.7.21', branch='master')

    # Dependencies
    depends_on('python@3.8:', type=('build', 'run'))
    depends_on('ambertools')
    depends_on('openbabel')
    depends_on('py-poetry-core')

    # Test
    @run_after('install')
    @on_package_attributes(run_tests=True)
    def check_install (self):
        python("-c", 'import acpype')
